<template>
  <div align="left" style="width:90%">
    <h4 class="pb-7 pt-4">
      Payment Account
    </h4>
    <v-card
      class="mx-auto widget-account"
      tile
      style="border-radius:10px;box-shadow:0 5px 15px rgba(0,0,0,0.08) !important"
    >
      <v-list>
        <v-list-item-group v-model="item" color="primary">
          <v-list-item v-for="(item, i) in items" :key="i">
            <v-list-item-icon>
              <v-img
                alt="Vuetify Name"
                class="shrink mt-1 ml-3"
                contain
                min-width="32"
                src="../../assets/img/card.png"
                width="32"
              />
            </v-list-item-icon>
            <v-list-item-content>
              <v-list-item-title>
                <span class="tl-m">{{ item.name }}</span
                ><br />
                <span class="tw-s">{{ item.Description }}</span>
              </v-list-item-title>
            </v-list-item-content>
            <v-list-item-action>
              <span class="tl-vs">{{ item.type }}</span>
            </v-list-item-action>
          </v-list-item>
        </v-list-item-group>
      </v-list>
    </v-card>
  </div>
</template>

<script>
export default {
  methods: {
    async getData() {
      let self = this;
      let res = null;
      let sort_field = self.sort_field;
      let sort_type = self.sort_type;
      let page = self.page;
      let per_page = self.per_page;
      let description = self.description;

      try {
        let url =
        self.base_url +
        "api/v1/finance-accounts?description=" +
        description +
        "&sort_field=" +
        sort_field +
        "&sort_type=" +
        sort_type +
        "&page=" +
        page +
        "&per_page=" +
        per_page;
        
        res = await self.axios.get(url, {
          headers: {
            Authorization: "Bearer " + self.token,
            "Content-Type": "application/json;charset=UTF-8",
          },
        });
      } catch (err) {
        alert(JSON.stringify(err.response.data));
      } finally {
        self.items = res.data["data"];
        console(res);
      }
    },
  },
  mounted() {
    this.getData();
  },
  data() {
    return {
      name: "Widget",
      item: 1,
      items: [],
      sort_field: "name",
      sort_type: 1,
      page: 0,
      per_page: 50,
      description: "",
      token: localStorage.getItem("token")
    };
  },
};
</script>
